Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000726Core InformRelationspublic2011-08-20 12:382014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000726: Relation-valued properties are initialized with the default value of the relation kind, rather than a copy of the default value
DescriptionThe association of yourself in the attached source is initialized to Default_Value_1, which has handler EmptyRelationHandler. Consequently, the first line of the rule has no effect, and the showme reports ``nothing'' rather than the ``yourself,'' that one would expect.

Contrast similar source text with lists, in which InitialHeapAllocation allocates distinct copies for each object.
Minimal Source Text To Reproduce
There is a room.
A person has a relation of things to things called the association.
When play begins:
	now the association of yourself relates yourself to yourself;
	showme the thing that relates to yourself by the association of yourself.
Additional InformationThere is a room.
A person has a list of things called the checklist.
When play begins:
    add yourself to the checklist of yourself;
    showme entry one of the checklist of yourself.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002567)
graham (administrator)
2014-03-16 12:12

The semantics for relations are in some ways trickier than those for lists, but I agree. I've fixed this.

- Issue History
Date Modified Username Field Change
2011-08-20 12:38 EmacsUser New Issue
2011-08-20 12:39 EmacsUser Additional Information Updated View Revisions
2011-10-15 03:42 jmcgrew Status new => acknowledged
2011-11-12 14:41 jmcgrew Status acknowledged => confirmed
2014-03-16 12:13 graham Note Added: 0002567
2014-03-16 12:13 graham Status confirmed => resolved
2014-03-16 12:13 graham Resolution open => fixed
2014-03-16 12:13 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker